#!/bin/bash 

# Assign parameters to variables 
HOST=$1 
USER=$2 
PASSWORD=$3 

# Europe
# Generation
# 2018
mkdir -p ./temp
wget -N 'https://zenodo.org/records/3574566/files/JRC-PPDB-OPEN.ver1.0.zip?download=1' -O ./temp/power.zip
unzip -d ./temp/ ./temp/power.zip
ogr2ogr -f MySQL MySQL:FACT_power,host=$HOST,user=$USER,password=$PASSWORD temp/JRC_OPEN_UNITS.csv -oo X_POSSIBLE_NAMES=lon -oo Y_POSSIBLE_NAMES=lat -oo KEEP_GEOM_COLUMNS=NO -nln eu_gen -update -overwrite -lco engine=Aria -skipfailures
rm -r ./temp
# Transmission 2023
mkdir -p ./temp
cp ./inputs/EU_power.zip ./temp/power.zip
unzip -d ./temp/ ./temp/power.zip
ogr2ogr -f MySQL MySQL:FACT_power,host=$HOST,user=$USER,password=$PASSWORD temp/EU_power_lines.shp -nln eu_trans -update -overwrite -lco engine=Aria -skipfailures
rm -r ./temp

# US
# Generation
# April 15, 2024
mkdir -p ./temp
wget -N 'https://hub.arcgis.com/api/v3/datasets/bf5c5110b1b944d299bb683cdbd02d2a_0/downloads/data?format=shp&spatialRefId=3857&where=1%3D1' -O ./temp/power.zip
unzip -d ./temp/ ./temp/power.zip
ogr2ogr -f MySQL MySQL:FACT_power,host=$HOST,user=$USER,password=$PASSWORD temp/Power_Plants.shp -nln us_gen -update -overwrite -lco engine=Aria -skipfailures
rm -r ./temp
# Transmission
# December 11, 2023
mkdir -p ./temp
wget -N 'https://hub.arcgis.com/api/v3/datasets/bd24d1a282c54428b024988d32578e59_0/downloads/data?format=shp&spatialRefId=3857&where=1%3D1' -O ./temp/power.zip
unzip -d ./temp/ ./temp/power.zip
ogr2ogr -f MySQL MySQL:FACT_power,host=$HOST,user=$USER,password=$PASSWORD temp/Electric__Power_Transmission_Lines.shp -nln us_trans -update -overwrite -lco engine=Aria -skipfailures
rm -r ./temp
